/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap.EnumAnatomicSNOMEDMap;
import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_AbdominalArteriesUnilateral;
//import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_NuclearCardiologyProtocols;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_AbdominalArteriesUnilateral;


/**
 * This class represents AbdominalArteriesUnilateral - CID12112
 */
public class AbdominalArteriesUnilateral_CID12112
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * The SNOMED CT ID for template.
	 */
	private String strSNOMEDCTID = null;
	
	/**
	 * Instantiates a new AbdominalArteriesUnilateral_CID12112 Template 
	 */
	public AbdominalArteriesUnilateral_CID12112()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}

	/**
	 * Retrieves the value for SNOMED-CT ID.
	 * @return String value for SNOMED-CT ID.
	 */
	public String getSNOMEDCTID() 
	{
		return strSNOMEDCTID;
	}
	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumAbdominalArteriesUnilateral Object of EnumCM_AbdominalArteriesUnilateral represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_AbdominalArteriesUnilateral enumAbdominalArteriesUnilateral)
	{
		switch(enumAbdominalArteriesUnilateral)
		{
		case AORTA: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.AORTA_T_42000.getValue();break;
		case INFRA_RENAL_AORTA: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.INFRA_RENAL_AORTA_T_42520.getValue();break;
		case SUPRA_RENAL_AORTA: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.SUPRA_RENAL_AORTA_T_42510.getValue();break;
		case CELIAC_AXIS: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.CELIAC_AXIS_T_46400.getValue();break;
		case COMMON_HEPATIC_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.COMMON_HEPATIC_ARTERY_T_46421.getValue();break;
		case COMMON_ILIAC_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.COMMON_ILIAC_ARTERY_T_46710.getValue();break;
		case GASTRODUODENAL_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.GASTRODUODENAL_ARTERY_T_46440.getValue();break;
		case INFERIOR_MESENTERIC_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.INFERIOR_MESENTERIC_ARTERY_T_46520.getValue();break;
		case LUMBAR_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.LUMBAR_ARTERY_T_46960.getValue();break;
		case PROPER_HEPATIC_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.PROPER_HEPATIC_ARTERY_T_46422.getValue();break;
		case SPLENIC_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.SPLENIC_ARTERY_T_46460.getValue();break;
		case SUPERIOR_MESENTERIC_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.SUPERIOR_MESENTERIC_ARTERY_T_46510.getValue();break;
		case RIGHT_BRANCH_OF_HEPATIC_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.RIGHT_BRANCH_OF_HEPATIC_ARTERY_T_46423.getValue();break;
		case LEFT_BRANCH_OF_HEPATIC_ARTERY: this.strCodeValue = EnumCV_AbdominalArteriesUnilateral.LEFT_BRANCH_OF_HEPATIC_ARTERY_T_46427.getValue();break;
		}
	}
	/**
	 * Sets the SNOMED-CT ID.
	 * @param enumNuclearCardiologyProtocols Object of EnumCM_NuclearCardiologyProtocols represents Code Meaning.
	 */
	private void setSNOMEDCTID(EnumCM_AbdominalArteriesUnilateral enumAbdominalArteriesUnilateral)
	{
		switch(enumAbdominalArteriesUnilateral)
		{
		case AORTA: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.AORTA.getSNOMEDCTID(); break;
		case INFRA_RENAL_AORTA: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.INFRA_RENAL_AORTA.getSNOMEDCTID(); break;
		case SUPRA_RENAL_AORTA: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.SUPRA_RENAL_AORTA.getSNOMEDCTID(); break;
		case CELIAC_AXIS: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.CELIAC_AXIS.getSNOMEDCTID(); break;
		case COMMON_HEPATIC_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.COMMON_HEPATIC_ARTERY.getSNOMEDCTID(); break;
		case COMMON_ILIAC_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.COMMON_ILIAC_ARTERY.getSNOMEDCTID(); break;
		case GASTRODUODENAL_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.GASTRODUODENAL_ARTERY.getSNOMEDCTID(); break;
		case INFERIOR_MESENTERIC_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.INFERIOR_MESENTERIC_ARTERY.getSNOMEDCTID(); break;
		case LUMBAR_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.LUMBAR_ARTERY.getSNOMEDCTID(); break;
		case PROPER_HEPATIC_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.PROPER_HEPATIC_ARTERY.getSNOMEDCTID(); break;
		case RIGHT_BRANCH_OF_HEPATIC_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.RIGHT_BRANCH_OF_HEPATIC_ARTERY.getSNOMEDCTID(); break;
		case LEFT_BRANCH_OF_HEPATIC_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.LEFT_BRANCH_OF_HEPATIC_ARTERY.getSNOMEDCTID(); break;
		case SPLENIC_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.SPLENIC_ARTERY.getSNOMEDCTID(); break;
		case SUPERIOR_MESENTERIC_ARTERY: this.strSNOMEDCTID =EnumAnatomicSNOMEDMap.SUPERIOR_MESENTERIC_ARTERY.getSNOMEDCTID(); break;
		
		}
	}
	/**
	 * Sets the value for AbdominalArteriesUnilateral.
	 * @param enumAbdominalArteriesUnilateral Object of EnumCM_AbdominalArteriesUnilateral.
	 */
	public void setAbdominalArteriesUnilateral(EnumCM_AbdominalArteriesUnilateral enumAbdominalArteriesUnilateral)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumAbdominalArteriesUnilateral.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.SRT.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumAbdominalArteriesUnilateral);

		/**
		 * set SNOMED-CT ID
		 */
		setSNOMEDCTID(enumAbdominalArteriesUnilateral);
	}
}
